/* String class for C, v1.00					*/
/* Copyright (c) 1999 Mark RISON, mrison@hotmail.com		*/
/* Freely distributable and modifyable for non-commercial use	*/
/* as long as this comment header is preserved			*/

#ifndef __dstring_h
#define __dstring_h

typedef struct string {

   char *string;
   int curpos, bufsize, bufgrowsize;

} String;

String *string_create (const char *const s);
int string_add (String *const string, const char c);
const char *string_read (const String *const string);
void string_delete (String *const string);
void string_clear (String *const string);
int string_len (const String *const string);
void string_destroy (String *const string);

#endif
